Name:          libkml
Version:       1.3.0
Release:       1mamba
Summary:       Google's reference implementation of OGC KML 2.2
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/libkml/libkml
Source:        https://github.com/libkml/libkml.git/%{version}/libkml-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libminizip1-devel
BuildRequires: libstdc++6-devel
BuildRequires: liburiparser-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Google's reference implementation of OGC KML 2.2.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
sed -i "s|lib/cmake/libkml|%{_lib}/cmake/libkml|" CMakeLists.txt

%build
%cmake -d build \
  -DINCLUDE_INSTALL_DIR:PATH=/usr/include/kml
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libkmlbase.so.*
%{_libdir}/libkmlconvenience.so.*
%{_libdir}/libkmldom.so.*
%{_libdir}/libkmlengine.so.*
%{_libdir}/libkmlregionator.so.*
%{_libdir}/libkmlxsd.so.*
%doc AUTHORS COPYING LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/kml
%{_includedir}/kml/*
%{_libdir}/cmake/libkml
%{_libdir}/cmake/libkml/LibKML*.cmake
%{_libdir}/libkmlbase.so
%{_libdir}/libkmlconvenience.so
%{_libdir}/libkmldom.so
%{_libdir}/libkmlengine.so
%{_libdir}/libkmlregionator.so
%{_libdir}/libkmlxsd.so
%{_libdir}/pkgconfig/libkml.pc
%doc ChangeLog README.md

%changelog
* Thu Jan 07 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- package created using the webbuild interface
